
window.$event = {
	//登录按钮点击事件
	loginClick: function () {
		var data = {login_type: 2};
		if(api.systemType == "ios"){
			data.login_type = "3"
		}
		if($control.isPhoneLogin){  //手机号登录
			data.tel = $api.byId("user-phone").value;
			data.code = $api.byId("captcha").value;
			if(!$Common.checkPhone(data.tel)){
				return;
			} else if(!data.code){
				$Widget.toast('请填写验证码');
				return;
			}

			$comm.post_p($comm.api.phoneLogin, data, function (data) {
                //保存uid和token
				$api.setStorage($dataKey.uid, data.uid);
				$api.setStorage($dataKey.token, data.token);
                $comm.loginPost_p($comm.api.account + "?m=get_info", {}, function (data) {
                    $Widget.toast('登录成功');
                    window.setTimeout(function () {
                        $appFun.closeWin();
                    }, 1500);
                    //保存个人数据
                    $api.setStorage($dataKey.userInfo, JSON.stringify(data.result));
                });
			});
		} else {   //账号登录
			data.user_account = $api.byId("user-account").value;
			data.user_pwd = $api.byId("user-password").value;
			if($control.isInputCaptcha){
				data.captcha = $api.byId("user-captcha").value;
				if(!data.captcha){
					$Widget.toast('验证码不能为空');
					return;
				}
			}
			if(!data.user_account){
                $Widget.toast('请输入账号');
				return;
			}
			if(!$Common.checkPassword(data.user_pwd)){
				return;
			}
			data.user_pwd = hex_md5(data.user_pwd);

			$comm.post_p($comm.api.login, data, function (data) {
                $api.setStorage($dataKey.uid, data.uid);
                $api.setStorage($dataKey.token, data.token);
                $comm.loginPost_p($comm.api.account + "?m=get_info", {}, function (data) {
                    $Widget.toast('登录成功');
                    window.setTimeout(function () {
                        $appFun.closeWin();
                    }, 1500);
                    //保存个人数据
                    $api.setStorage($dataKey.userInfo, JSON.stringify(data.result));
                });
			}, function (data) {
				$appFun.errorHandling(data);
				if(data.error == "213"){
					$control.isInputCaptcha = true;
				}
				if($control.isInputCaptcha){
					$api.byId("captcha-item").hidden = false;
					$api.byId("verification").src = $comm.getCaptchaImage();
				}
			});
		}
	},
	//淘宝授权登录
    tblogin: function () {
        $appFun.login_alibaichuan();
    },
    //share 授权登录
    share_login: function (m) {
        $appFun.share_login(m);
    },
};

window.$control = {
	isPhoneLogin: false, //是否手机号登录
	isInputCaptcha: false, //是否需要输入验证码
};

apiready = function(){
	// 选择登录方式
	var accountLogin = $api.dom(".account-login");
	var commonLogin = $api.dom(".common-login");
	var phoneLogin = $api.dom(".phone-login");
	var fastLogin = $api.dom(".fast-login");
	var otherLogin = $api.dom(".other-login");

	function getLogin(ak,bk,ck,dk){
		$api.addCls(ak,"theme-background-mid");
		$api.addCls(ak,"clr-white");
		$api.removeCls(ak,"theme-color-mid");
		$api.addCls(bk,"theme-color-mid");
		$api.removeCls(bk,"theme-background-mid");
		$api.removeCls(bk,"clr-white");
		$api.removeCls(ck,"d-none");
		$api.addCls(dk,"d-none");
	}
	accountLogin.onclick = function(){
		getLogin(this,phoneLogin,commonLogin,fastLogin);
		$control.isPhoneLogin = false;
	};
	phoneLogin.onclick = function(){
		getLogin(this,accountLogin,fastLogin,commonLogin);
		$control.isPhoneLogin = true;
	};

	// 忘记密码
	var forget = $api.dom(".forget");
	forget.onclick = function(){
        $appFun.openWin({
			name:"findPassword",
			url:"find_password.html",
			slidBackEnabled:false
		})
	};

	// 注册
	var register = $api.dom(".register");
	register.onclick = function(){
        $appFun.openWin({
			name:"register",
			url:"register.html",
			slidBackEnabled:false
		})
	};

	//加载第三方登录类型
	$comm.post_p($comm.api.option, {
		select: '["login_way_3"]'
	}, function (data) {
		if(data.login_way_3.qq != 1){
            $api.byId("qq").hidden = true;
		}
		if(data.login_way_3.wx != 1){
            $api.byId("wx").hidden = true;
        }
        if(data.login_way_3.ali_pay != 1){
            $api.byId("tb").hidden = true;
        }
	});
};