// 限时抢

var LIMIT_TIME_CUR_LIMIT = 3;
var LIMIT_TIME_CUR_LIMIT_V2 = 10;
var LIMIT_TIME_IS_END = false;

//格式化商品
function formatWelfares(tqgs) {
    for (i in tqgs) {
        tqgs[i].sold_num = tqgs[i].sold_num >= tqgs[i].total_amount ? tqgs[i].total_amount : tqgs[i].sold_num;
        tqgs[i].button = tqgs[i].sold_num >= tqgs[i].total_amount ? "已抢光" : "马上抢";
        tqgs[i].button_color = tqgs[i].sold_num >= tqgs[i].total_amount ? " border-gray bg-gray " : " theme-border theme-background-mid ";
        tqgs[i].share_color = tqgs[i].sold_num >= tqgs[i].total_amount ? "border-gray clr-gray" : " theme-border theme-color-mid ";
        tqgs[i].percent = Math.floor(tqgs[i].sold_num / tqgs[i].total_amount * 100);
    }
    return tqgs;
}

//格式化商品
function formatWelfaresV2(tqgs, time_start) {
    for (i in tqgs) {
        tqgs[i].sold_num = tqgs[i].sold_num >= tqgs[i].total_amount ? tqgs[i].total_amount : tqgs[i].sold_num;
        if (tqgs[i].is_start) {
            tqgs[i].button = tqgs[i].sold_num >= tqgs[i].total_amount ? "已抢光" : "马上抢";
            tqgs[i].button_color = tqgs[i].sold_num >= tqgs[i].total_amount ? " border-gray bg-gray " : " theme-border theme-background-mid ";
            tqgs[i].share_color = tqgs[i].sold_num >= tqgs[i].total_amount ? "border-gray clr-gray" : " theme-border theme-color-mid ";
            tqgs[i].percent = Math.floor(tqgs[i].sold_num / tqgs[i].total_amount * 100);
            tqgs[i].status_html =
                            '<span class="out-bor"><span class="in-bor theme-background-mid" style="width:'+tqgs[i].percent+'%" ></span></span>'+
                            '<span class="clr-gray fz18">已抢<span class="theme-color-mid">'+tqgs[i].sold_num+'</span>件</span>';
        } else {
            tqgs[i].button = "稍后抢";
            tqgs[i].button_color = " border-green bg-green ";
            tqgs[i].share_color = " theme-border theme-color-mid ";
            tqgs[i].percent = Math.floor(tqgs[i].sold_num / tqgs[i].total_amount) * 100;
            tqgs[i].status_html =
                            '<span class="clr-gray">限量'+tqgs[i].total_amount+'件</span>'+
                            '<span class="clr-green">'+tqgs[i].start_time.substr(11, 5)+'准时开抢</span>';
        }
        tqgs[i].percent = Math.floor(tqgs[i].sold_num / tqgs[i].total_amount) * 100;
    }
    return tqgs;
}

//获取限时抢奖励金额统计
function getFansMoney() {
    $comm.loginPost($comm.api.rebateLog + "?m=calculate_fans_money", {}, function(data) {
        if (data.error == 0) {
            var fansMoney = data.result;
            if (fansMoney) {
                $("#money_soon").text(fansMoney.money_soon);
                $("#share_money").text(fansMoney.share_money);
            }
        }
    });
}


/**
 * 取限时抢商品列表
 *
 * @param page 页
 * @param refresh 是否是刷新
 * @param time_start 开始时间
 * @param time_end 结束时间
 *
 * @return
 */
function doSearchTqgItems(page, refresh, time_start, time_end) {
    if (refresh) {
        LIMIT_TIME_IS_END = false;
    }
    $Widget.showProgress();
    //已经没有数据
    if (LIMIT_TIME_IS_END) {
        api.hideProgress();
        return false;
    }
    var jq_node = $("#lists");
    if (!page && jq_node.find('.middles').length) {
        page = parseInt(jq_node.find('.middles').length / LIMIT_TIME_CUR_LIMIT) + 1;
    }
    var send_data = {limit:LIMIT_TIME_CUR_LIMIT,page:page,startTime:time_start,endTime:time_end};
    $comm.loginPost($comm.api.tbk + "?m=search_tqg", send_data, function(data) {
        api.hideProgress();
        if (LIMIT_TIME_IS_END) {
            return false;
        }
        if (page == 1) {
            jq_node.text("");
        }
        if (data.error == 0) {
            var tqgs = data.result;
            if (tqgs) {
                //没有更多数据
                if ($appFun.getObjLength(tqgs) == 0 && page == 1) {
                    LIMIT_TIME_IS_END = true;
                    return false;
                } else if ($appFun.getObjLength(tqgs) < LIMIT_TIME_CUR_LIMIT) {
                    LIMIT_TIME_IS_END = true;
                }
                tqgs = formatWelfares(data.result);
                var nodes = "";

                for (var i in tqgs) {
                    nodes +=
                        '<div class="sec-three-info middles">'+
                            '<div class="sec-three-img">'+
                                '<img src="'+tqgs[i].pic_url+'">'+
                            '</div>'+
                            '<ul class="sec-three-infoList" detail=\''+ JSON.stringify(tqgs[i]) +'\'>'+
                                '<li class="fz26"><span class="iconfont fz26 clr-orange"></span>'+tqgs[i].title+'</li>'+
                                '<li class="fz20">'+
                                    '<span class="out-bor"><span class="in-bor theme-background-mid" style="width:'+tqgs[i].percent+'%;"></span></span>'+
                                    '<span class="clr-gray fz18">已抢<span class="theme-color-mid">'+tqgs[i].sold_num+'</span>件</span>'+
                                '</li>'+
                                '<li>'+
                                    '<span class="theme-color-mid fz30">¥'+tqgs[i].coupon_price+'</span>'+
                                    '<span class="clr-gray fz20 old-price">¥'+tqgs[i].price+'</span>'+
                                '</li>'+
                                '<li class="make-one">'+
                                    '<button position="1" class="share-earn '+tqgs[i].share_color+'">分享赚钱</button>'+
                                    '<button class="now-buy '+tqgs[i].button_color+' clr-white">'+tqgs[i].button+'</button>'+
                                '</li>'+
                            '</ul>'+
                        '</div>';
                }
                jq_node.append(nodes);
            }
        }
    }, function(error) {
        api.hideProgress();
    });
}

/**
 * 取限时抢商品列表
 *
 * @param page 页
 * @param refresh 是否是刷新
 * @param time_start 开始时间
 * @param time_end 结束时间
 *
 * @return
 */
function doSearchTqgItemsV2(page, refresh, time_start, time_end) {
    if (refresh) {
        LIMIT_TIME_IS_END = false;
    }
    $Widget.showProgress();
    //已经没有数据
    if (LIMIT_TIME_IS_END) {
        api.hideProgress();
        return false;
    }
    var jq_node = $("#lists");
    if (!page && jq_node.find('.middles').length) {
        page = parseInt(jq_node.find('.middles').length / LIMIT_TIME_CUR_LIMIT_V2) + 1;
    }
    var send_data = {limit:LIMIT_TIME_CUR_LIMIT_V2,page:page,startTime:time_start,endTime:time_end};
    $comm.loginPost($comm.api.tbk + "?m=search_tqg", send_data, function(data) {
        api.hideProgress();
        if (LIMIT_TIME_IS_END) {
            return false;
        }
        if (page == 1) {
            jq_node.text("");
        }
        if (data.error == 0) {
            var tqgs = data.result;
            if (tqgs) {
                //没有更多数据
                if ($appFun.getObjLength(tqgs) == 0 && page == 1) {
                    LIMIT_TIME_IS_END = true;
                    return false;
                } else if ($appFun.getObjLength(tqgs) < LIMIT_TIME_CUR_LIMIT_V2) {
                    LIMIT_TIME_IS_END = true;
                }
                tqgs = formatWelfaresV2(data.result, time_start);
                var nodes = "";

                for (var i in tqgs) {
                    nodes +=
                            '<div class="sec-three-info middles">'+
                                '<div class="sec-three-img">'+
                                    '<img src="'+tqgs[i].pic_url+'">'+
                                '</div>'+
                                '<ul class="sec-three-infoList" detail=\''+ JSON.stringify(tqgs[i]) +'\'>'+
                                    '<li class="fz26"><span class="iconfont fz26 clr-orange"></span>'+tqgs[i].title+'</li>'+
                                    '<li class="fz20">'+
                                        tqgs[i].status_html+
                                    '</li>'+
                                    '<li>'+
                                        '<span class="theme-color-mid fz30">¥'+tqgs[i].coupon_price+'</span>'+
                                        '<span class="clr-gray fz20 old-price">¥'+tqgs[i].price+'</span>'+
                                    '</li>'+
                                    '<li class="make-one">'+
                                        '<button position="2" class="share-earn '+tqgs[i].share_color+'">分享赚钱</button>'+
                                        '<button class="now-buy hint-me '+tqgs[i].button_color+' clr-white">'+tqgs[i].button+'</button>'+
                                    '</li>'+
                                '</ul>'+
                            '</div>';
                }
                jq_node.append(nodes);
            }
        }
    }, function(error) {
        api.hideProgress();
    });
}

$("#lists").on('click', ".now-buy", function() {
    if ($(this).text() == "已抢光") {
        $Widget.toast("商品已经被抢光啦,下次早点哦~");
        return false;
    }
    if ($(this).text() == "稍后抢") {
        $Widget.toast("商品抢购活动还未开始呢,活动开始之后再购买吧");
        return false;
    }
    var detail = JSON.parse($(this).parents("ul").attr('detail'));
    $appFun.openGoodsDetails(detail.num_iid, detail.click_url, null, detail.price, detail.coupon_price, 0,{
        title:detail.title,
        pic_url:detail.pic_url
    });
});

$("#lists").on('click', ".share-earn", function() {
    if ($(this).next().text() == "已抢光") {
        $Widget.toast("已抢光的商品分享没有意义哦~");
        return false;
    }
    if ($(this).next().text() == "稍后抢") {
        $Widget.toast("商品抢购活动还未开始呢,活动开始之后再分享吧");
        return false;
    }
    var detail = JSON.parse($(this).parents("ul").attr('detail'));
    api.pageParam = {
        num_iid: detail.num_iid,
        url:detail.click_url,
        quan_url: detail.quan_url,
        xdj: detail.price,
        dsj:detail.coupon_price,
        jfb:0,
        param: {title:detail.title,pic_url:detail.pic_url}
    }
    if ($(this).attr("position") == 1) {
        // 首页
        api.openFrame({
            name: 'share',
            url: 'html/goods_details/share.html',
            bgColor: "rbga(0, 0, 0 ,0)",
            animation:{
                type:"movein",                //动画类型（详见动画类型常量）
                subType:"from_bottom",       //动画子类型（详见动画子类型常量）
                duration:300                //动画过渡时间，默认300毫秒
            },
            rect: {
                x: 0,
                y: 0,
                w: api.winWidth,
                h: api.winHeight
            },
            pageParam: api.pageParam,
            bounces: false
        });
    } else {
        // 列表页
        api.openFrame({
            name: 'share',
            url: '../../html/goods_details/share.html',
            bgColor: "rbga(0, 0, 0 ,0)",
            animation:{
                type:"movein",                //动画类型（详见动画类型常量）
                subType:"from_bottom",       //动画子类型（详见动画子类型常量）
                duration:300                //动画过渡时间，默认300毫秒
            },
            rect: {
                x: 0,
                y: 0,
                w: api.winWidth,
                h: api.winHeight
            },
            pageParam: api.pageParam,
            bounces: false
        });
    }

});
