// 返利订单

var REBATE_CUR_LIMIT = 10;
var REBATE_IS_END = false;

/**
 * 跳转到返利订单详情
 *
 * @param string orderNo 订单号
 *
 * @return
 * @author cg
 */
function openOrderDetail(order_id) {
        $appFun.openWin({
            name:"orderDet",
            url:"rebate_order_details.html",
            pageParam: {id: order_id},
            slidBackEnabled:false
        });
}

//格式化商品
function formatWelfares(rebate_logs) {
    return rebate_logs;
}


/**
 * 申诉订单
 *
 * @param string orderNo 订单号
 *
 * @return
 * @author cg
 */
function applyRebate(orderNo) {
    $comm.loginPost_p($comm.api.rebateLog + "?m=apply_rebate", {order_no:orderNo}, function(data) {
        if (data.error == 0) {
            var result = data.result;
            if (result) {
                $Widget.toast('申诉已经提交');
            } else {
                $Widget.toast(data.result.error_msg);
            }
        }
    });
}


/**
 * 获取申诉返利订单列表
 *
 * @param string page 页
 * @param string rebate_status 订单状态
 * @param string refresh 是否刷新
 *
 * @return
 * @author cg
 */
function doSearchRebateLogs(page, rebate_status, refresh) {
    if (refresh) {
        REBATE_IS_END = false;
        $(".loadAll").addClass("aotu_hidden");
        $(".nodata").addClass("aotu_hidden");
    }
    $Widget.showProgress();
    //已经没有数据
    if (REBATE_IS_END) {
        api.hideProgress();
        return false;
    }
    var jq_node = $("#lists");
    if (!page && jq_node.find('li').length) {
        page = parseInt(jq_node.find('li').length / REBATE_CUR_LIMIT) + 1;
    }
    var send_data = {limit:REBATE_CUR_LIMIT,page:page,complain_flg:1};
    if (rebate_status != -1) {
        send_data.rebate_status = rebate_status;
    }
    $comm.loginPost($comm.api.rebateLog + "?m=get_lists", send_data, function(data) {
        api.hideProgress();
        if (REBATE_IS_END) {
            return false;
        }
        if (page == 1) {
            jq_node.text("");
        }
        if (data.error == 0) {
            var rebate_logs = data.result;
            if (rebate_logs) {
                //没有更多数据
                if ($appFun.getObjLength(rebate_logs) == 0 && page == 1) {
                    REBATE_IS_END = true;
                    $(".nodata").removeClass("aotu_hidden");
                    $(".loadAll").addClass("aotu_hidden");
                    return false;
                } else if ($appFun.getObjLength(rebate_logs) < REBATE_CUR_LIMIT) {
                    REBATE_IS_END = true;
                    $(".loadAll").removeClass("aotu_hidden");
                    $(".loadAll").text("已经全部加载完毕...");
                }
                rebate_logs = formatWelfares(data.result);
                var nodes = "";

                for (var i in rebate_logs) {
                    var rebate_status_str = rebate_logs[i].rebate_status == 1 ? "申诉成功" : "等待处理";
                    var rebate_status_color = rebate_logs[i].rebate_status == 1 ? "clr-green" : "theme-color-mid";
                    nodes +=
                            '<li>'+
                                '<p>订单号：'+rebate_logs[i].order_no+'</p>'+
                                '<p>申诉时间：'+rebate_logs[i].complain_time+' <span class="'+rebate_status_color+' fr">'+rebate_status_str+'</span></p>'+
                            '</li>';
                }
                jq_node.append(nodes);
            }
        }
    });
}


/**
 * 获取返利订单列表
 *
 * @param string page 页
 * @param string rebate_status 订单状态
 * @param string refresh 是否刷新
 *
 * @return
 * @author cg
 */
function doSearchRebateLogsV2(page, rebate_status, refresh) {
    if (refresh) {
        REBATE_IS_END = false;
        $(".loadAll").addClass("aotu_hidden");
        $(".nodata").addClass("aotu_hidden");
    }
    $Widget.showProgress();
    //已经没有数据
    if (REBATE_IS_END) {
        api.hideProgress();
        return false;
    }
    var jq_node = $("#lists");
    if (!page && jq_node.find('.order_li').length) {
        page = parseInt(jq_node.find('.order_li').length / REBATE_CUR_LIMIT) + 1;
    }
    var send_data = {limit:REBATE_CUR_LIMIT,page:page};
    if (rebate_status != -1) {
        send_data.rebate_status = rebate_status;
    }
    $comm.loginPost($comm.api.rebateLog + "?m=get_lists", send_data, function(data) {
        api.hideProgress();
        if (REBATE_IS_END) {
            return false;
        }
        if (page == 1) {
            jq_node.text("");
        }
        if (data.error == 0) {
            var rebate_logs = data.result;
            if (rebate_logs) {
                //没有更多数据
                if ($appFun.getObjLength(rebate_logs) == 0 && page == 1) {
                    REBATE_IS_END = true;
                    $(".nodata").removeClass("aotu_hidden");
                    $(".loadAll").addClass("aotu_hidden");
                    return false;
                } else if ($appFun.getObjLength(rebate_logs) < REBATE_CUR_LIMIT) {
                    REBATE_IS_END = true;
                    $(".loadAll").removeClass("aotu_hidden");
                    $(".loadAll").text("已经全部加载完毕...");
                }
                rebate_logs = formatWelfares(data.result);
                var nodes = "";

                for (var i in rebate_logs) {
                    var rebate_status_color = rebate_logs[i].rebate_status == 1 ? "clr-green" : "theme-color-mid";
                    nodes +=
                        '<div class="order_li">'+
                            '<div class="appeal-cont middles border-b" >' +
                                '<div class="cont-top" order_id="'+rebate_logs[i].id+'">' +
                                    '<div class="order-img">' +
                                        '<span><img src="'+rebate_logs[i].pic_url+'" onerror="this.src=\''+ $dataKey.getDefaultImage() +'\'"></span>' +
                                    '</div>' +
                                    '<ul class="order-info">' +
                                        '<li class="fz26"><span class="iconfont fz26 clr-orange">&#xe623;</span>'+rebate_logs[i].title+'</li>' +
                                        '<li class="theme-color-mid">¥<span class="fz30">'+rebate_logs[i].pay_money+'</span> <span class="fz18"><span class="iconfont margin-right8 fz24">&#xe607;</span>'+rebate_logs[i].rebate_money + $dataKey.getMoneyName() +'</span></li>' +
                                        '<li class="clr-gray fz20">'+rebate_logs[i].expect_time_str+'</li>' +
                                    '</ul>' +
                                    '<span class="iconfont fz24 check clr-gray">&#xe630;</span>' +
                                '</div>' +
                                '<div class="cont-bot">' +
                                    '<p class="clr-gray fz22">淘宝 <span class="fr">'+rebate_logs[i].create_time.substr(0, 10)+'</span></p>' +
                                    '<p class="clr-gray fz22">订单号：'+rebate_logs[i].order_no+' <span class="'+rebate_status_color+' fr">'+(rebate_logs[i].rebate_status==1 ? '已返' : '待返')+'</span></p>' +
                                '</div>'+
                            '</div>'+
                        '</div>';
                    }
                jq_node.append(nodes);
            }
        }
    });
}

$("#lists").on('click', ".cont-top", function() {
    var id = $(this).attr('order_id');
    openOrderDetail(id);
});
