/**
 * Created by 谭兵 on 2017/2/10.
 */

//应用窗口管理
window.$winManage = {
    //win栈，保存当前打开的所有win
    stack: [{
        name: "root", //win窗口名字
        isUpdate: false, //是否要更新，当进入这个页面时，是否要更新此页面的数据
        frameName: []    //要更新frameName
    }],

    add: function (nextName, currName) {
        for(var i in this.stack){
            if(nextName == this.stack[i].name){
                return;
            }
        }
        this.stack.push({
            name: nextName,
            isUpdate: false,
            frameName: []
        });
        api.execScript({
            name:currName,
            script: 'try{window.$control.pause();}catch(e){}'
        });
        console.log("当前显示窗口:" + nextName);
    },
    /**
     * 只能移除栈顶的窗口
     * @param name
     */
    pop: function () {
        if(this.stack.length == 1){
            return;
        }
        var v = this.stack.pop();
        if(v){
            api.execScript({
                name: v.name,
                script: 'window.api.closeWin()'
            });
            this.updateCurrPage();
            v = this.stack[this.stack.length-1];
            if(v){
                api.execScript({
                    name: v.name,
                    script: 'try{window.$control.resume();}catch(e){}'
                });
                console.log("当前显示窗口:" + v.name);
            }
        }
    },
    updateCurrPage: function () {
        var last = this.stack[this.stack.length-1];
        if(last){
            if(last.isUpdate){ //查看当前win是否需要更新
                api.execScript({
                    name:last.name,
                    script: 'try{window.$control.resume();}catch(e){}'
                });
                last.isUpdate = false;
            }
            for(var k in last.frameName){ //查看当前win里面的frame是否要更新
                api.execScript({
                    name: last.name,
                    frameName: last.frameName[k],
                    script: 'try{window.$control.resume();}catch(e){}'
                });
            }
            last.frameName = [];
        }
    },
    /**
     * 检查frame是否要更新，如果要更新则更新
     * @param name
     * @param frameName
     */
    checkFrameUpdate: function (name, frameName) {
        var frameObj = null;
        var tempArray = [];
        var k;
        for (k in this.stack) {
            if (name == this.stack[k].name) {
                frameObj = this.stack[k];
            }
        }
        for(k in frameObj.frameName){
            if(frameName == frameObj.frameName[k]){
                api.execScript({
                    name: frameObj.name,
                    frameName: frameObj.frameName[k],
                    script: 'try{window.$control.resume();}catch(e){}'
                });
            } else {
                tempArray.push(frameObj.frameName[k]);
            }
        }
        frameObj.frameName = tempArray;
    },
    /**
     * 移除到指定的win
     */
    removeToWin: function (name) {
        api.execScript({
            name: this.stack[this.stack.length-1].name,
            script: 'window.api.closeToWin({name:"'+name+'"})'
        });
        for(var k = 0; k < this.stack.length; ++k){
            if(name == this.stack[k].name){
                try{
                    this.stack.splice(k+1, this.stack.length - (k + 1));
                }catch (e){}
                break;
            }
        }
        var last = this.stack[this.stack.length-1];
        if(last.isUpdate){ //查看当前win是否需要更新
            api.execScript({
                name:last.name,
                script: 'window.location.reload(true);'
            });
        }
        for(var k in last.frameName){ //查看当前win里面的frame是否要更新
            api.execScript({
                name: last.name,
                frameName: last.frameName[k],
                script: 'window.location.reload(true);'
            });
        }
        console.log("当前显示窗口:" + last.name);
    },
    //移除指定名字的win窗口
    removeWin: function (name) {
        if(this.stack[this.stack.length-1].name == name){
            this.pop();
            return;
        }
        for(var k = 0; k < this.stack.length; ++k){
            if(name == this.stack[k].name){
                api.closeWin({name: this.stack[k].name});
                this.stack.splice(k, 1);
                return;
            }
        }
        api.closeWin({name:name});
    },
    /**
     * 设置要更新的页面，下次进入页面时将自动更新
     *
     * @param winName win名字，需要更新页面的名字
     * @param b  是否需要更新win窗口
     * @param frameName 要更新的窗口中的frame模块
     */
    updatePage: function (winName, b, frameName) {
        var _self = this;
        for (var i = 0; i < this.stack.length; ++i) {
            if (this.stack[i].name == winName) {
                this.stack[i].isUpdate = b;
                function p(n) {
                    for (var j in _self.stack[i].frameName) {
                        if (n == _self.stack[i].frameName[j]) {
                            return true;
                        }
                    }
                    return false;
                }
                if (typeof frameName === "string") {
                    if (!p(frameName)) {
                        this.stack[i].frameName.push(frameName);
                    }
                } else if (typeof frameName === "object") {
                    for(var k = 0; k < frameName.length; ++k){
                        if(!p(frameName[k])){
                            this.stack[i].frameName.push(frameName[k]);
                        }
                    }
                }
                break;
            }
        }
    },
};